import http from "@/https/request.js";

export default {
  ads(data) {
    return http("/api/common/ads", "GET", data);
  },
  // 地区信息
  area_tree(data) {
    return http("/api/common/area_tree", "GET", data);
  },
  // 列表
  list(data) {
    return http("/api/mobile_controller/list", "POST", data);
  },
  // 列表
  searchList(data) {
    return http("/api/mobile_controller/select_num_flow", "POST", data);
  },
  // 筛选配置
  config(data) {
    return http("/api/mobile_controller/config", "GET", data);
  },
  //横幅播报
  ordered_show(data) {
    return http("/api/mobile_controller/ordered_show", "GET", data);
  },
  //发送短信
  send(data) {
    return http("/api/sms/send", "POST", data);
  },
  //校验短信
  check(data) {
    return http("/api/sms/check", "POST", data);
  },
  //商务合作表单
  business_form(data) {
    return http("/api/common/business_form", "GET", data);
  },
  //号码详情
  show(data) {
    return http("/api/mobile_controller/show", "GET", data);
  },
  //协议相关
  agreement(data) {
    return http("/api/common/agreement", "GET", data);
  },
  //下单
  apply(data) {
    return http("/api/mobile_controller/apply", "POST", {
      platform_source: "美美号源",
      ...data,
    });
  },
  //预占号码
  take(data) {
    return http("/api/mobile_controller/take", "GET", data);
  },
  //系统配置
  commonConfig(data) {
    return http("/api/common/config", "GET", data);
  },
  //预定号码
  order_no(data) {
    return http("/api/mobile_controller/order_no", "GET", data);
  },
  //订单列表
  order_list(data) {
    return http("/api/mobile_controller/order_list", "GET", data);
  },
  //查询物流
  logistics(data) {
    return http("/api/mobile_controller/logistics", "POST", data);
  },
  //上传文件
  upload(data) {
    return http("/api/common/upload", "POST", data);
  },
  //订单详情
  order_detail(data) {
    return http("/api/mobile_controller/order_detail", "POST", data);
  },
  //继续下单
  continue_pay(data) {
    return http("/api/mobile_controller/continue_pay", "POST", data);
  },
  //上传开卡资料
  upload_identity(data) {
    return http("/api/mobile_controller/upload_identity", "POST", data);
  },
  //退款
  refund(data) {
    return http("/api/mobile_controller/refund", "POST", data);
  },
  //意见反馈
  feedback(data) {
    return http("/api/common/feedback", "POST", data);
  },
  //登录
  dy_login(data) {
    // 登录接口修改------传appid使用传的appid（美美号源）  不传使用旧的appid（美美靓号）
    return http("/api/user/dy_login", "GET", {
      appid: "ttcfceb97350f799ea01",
      ...data,
    });
  },
  //足迹列表
  history(data) {
    return http("/api/history_api/index", "GET", data);
  },
  //删除足迹
  delete(data) {
    return http("/api/history_api/delete", "GET", data);
  },
  //添加足迹
  add(data) {
    return http("/api/history_api/add", "GET", data);
  },
  //快手手机号获取登录
  KuaishouLogin(data) {
    return http("/api/Kuaishou/login", "GET", data);
  },
  // 用户信息
  userIndex(data) {
    return http("/api/user/index", "GET", data);
  },
  //重新提交订单
  uploadIdentityFlow(data) {
    return http("/api/mobile_controller/upload_identity_flow", "POST", data);
  },
};
